pro bremplot_thick
;+
;This IDL routine reads and plots output from the Fortran 77
;bremsstrahlung code BREMTHICK.  The output is in the file output.txt.
;
;The second parameter in FltArr must equal the number of lines of output
;to be read.
;
;-

;CREATE ARRAY & READ DATA FILE
;
gyroarray = FltArr(2,41)
OpenR, lun, 'output.txt', /Get_LUN
ReadF, lun, gyroarray
Free_LUN, lun
EPH     = Reform(gyroarray(0,*))
FLUX    = Reform(gyroarray(1,*))

;SET COLOR TABLE
;
;  This makes colors on a PC behave in a manner similar to a workstation.
;
Device, Get_Visual_Depth = thisDepth
IF thisDepth GT 8 THEN Device, Decomposed = 0

;  Load "Rainbow" color table and set color 255 to white.

LoadCT, 13
TVLCT, 255, 255, 255, 255

;CREATE PLOT

Window,0,Title = 'Photon Flux'
plot, EPH, FLUX,/XLog,/YLog, XTitle = 'Photon Energy (keV)',$
  YTitle = 'Flux (photons/sq cm/sec/keV)', Title = 'Thick Target Bremsstrahlung', $
  XRange = [3.0, 32000.], YRange = [1.E-12,1.0E+03], XStyle = 1, YStyle = 1

END